Sites — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Sites
=====

List the sites belonging to a team.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the sites belonging to a team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/sites

```

Required ability: `sites:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/sites?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "name": "apollo.com",
      "project_id": 1,
      "created_at": "2026-01-16T10:00:00+00:00"
    },
    {
      "id": 2,
      "name": "staging.apollo.com",
      "project_id": 1,
      "created_at": "2026-01-16T10:05:00+00:00"
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/sites?page=1",
    "last": "https://rocketeersapp.com/api/your-team/sites?page=2",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/sites?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "per_page": 20,
    "to": 20,
    "total": 34,
    "path": "https://rocketeersapp.com/api/your-team/sites"
  },
  "results": 20,
  "served_in": "9.88ms"
}

```

[ Previous  Servers](https://rocketeersapp.com/docs/api/servers) [ Next   Clients](https://rocketeersapp.com/docs/api/clients)
